/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.connormahaffey.TerraCraft;

import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.Image;

/**
 *
 * @author 12swiernikj
 */
public class InvScreen {
    public final static int x=62, y=32;

    private FileHandler fileh = new FileHandler();
    private Image overlayGui, selection, checkbox, check;
    
    private PlayerLogic playerLogic;
    private Game game;

    private Font overlay, regular;

    private int placer;

    public InvScreen(PlayerLogic playerLogic){
        this.playerLogic = playerLogic;
    }

    public void init(){
        overlayGui = fileh.getInternalImage("OverlayScreen.png");
        selection = fileh.getInternalImage("Selection.png");
        checkbox = fileh.getInternalImage("CheckBox.png");
        check = fileh.getInternalImage("Check.png");

        overlay = new Font("monospaced",Font.PLAIN,22);
        regular = new Font(null,Font.PLAIN,13);
    }

    public void draw(Graphics2D g){
        g.setFont(overlay);
        g.drawImage(overlayGui, 0, 0, null);
        
        g.drawImage(selection, (55+65*(TerraCraft.keyHandler.getBPX())), 25+65*(TerraCraft.keyHandler.getBPY()), null);
        TerraCraft.player.setBlock(TerraCraft.keyHandler.getBPX()+(5*TerraCraft.keyHandler.getBPY()+1));
        
        for(int row=0;row<2;row++){
            for(int col=0;col<5;col++){
                g.drawString(TerraCraft.player.getInvValue((col + 1)+(5*row)), x+25+(65*col), y+45+(65*row));
            }
        }
        
        if(MouseLogic.getInstaBreak())
            g.drawImage(check, x+65*6, y-3, null);
        if(playerLogic.getYSpeed()==.60)
            g.drawImage(check, x+65*6, 94, null);
        if(TerraCraft.player.isCreative())
            g.drawImage(check, x+65*6, 159, null);

        g.setFont(regular);
    }

}
