package com.connormahaffey.TerraCraft;

/**
 *
 * @author Connor
 */
public class Location {

    //in pixels

    private double x, y;
    private int xI, yI;
    
    public Location(double x, double y){
        this.x = x;
        this.y = y;
        xI = (int)Math.floor(x);
        yI = (int)Math.floor(y);
    }

    public double getX(){
        return x;
    }

    public double getY(){
        return y;
    }

    public int getXInt(){
        return xI;
    }

    public int getYInt(){
        return yI;
    }

    public boolean isEqualTo(Location location){
        if(x == location.getX() && y == location.getY()){
            return true;
        }
        else{
            return false;
        }
    }

    public boolean isWithin(double spotX, double spotY, double pixels){
        if(Math.abs(spotX - x) < pixels && Math.abs(spotY - y) < pixels){
            return true;
        }
        else{
            return false;
        }
    }
}
