package com.connormahaffey.TerraCraft;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

/**
 *
 * @author Connor Mahaffey
 */
public class MouseHandler implements MouseListener{

    public final static int LEFT = MouseEvent.BUTTON1, RIGHT = MouseEvent.BUTTON3, MIDDLE = MouseEvent.BUTTON2;
    private int x, y, button;

    public void mouseClicked(MouseEvent e) {
        //
    }

    public void mousePressed(MouseEvent e) {
        x = e.getX();
        y = e.getY();
        button = e.getButton();
    }

    public void mouseReleased(MouseEvent e) {
        button = -1;
        x = -1;
        y = -1;
    }

    public void mouseEntered(MouseEvent e) {
        //
    }

    public void mouseExited(MouseEvent e) {
        //
    }

    public int getX(){
        return x;
    }

    public int getY(){
        return y;
    }

    public int getButton(){
        return button;
    }

    public void setX(int x){
        this.x = x;
    }

    public void setY(int y){
        this.y = y;
    }
}
