package com.connormahaffey.TerraCraft;

/**
 *
 * @author Connor
 */
public abstract class Logic {
    public static final int WAIT_PERIOD = 30;
    public boolean running = true, pause = false, finished = false;

    public void resume(){
        pause = false;
    }
    
    public void pause(){
        pause = true;
    }

    public void stop(){
        running = false;
        while(!finished){
            logicWait(10);
        }
    }

    public void doPause(){
        while(pause){
            try{
                Thread.sleep(50);
            }catch(Exception e){
                e.printStackTrace();
            }
        }
    }

    public void logicWait(int time){
        if(time > 0){
            try{
                Thread.sleep(time);
            }catch(Exception e){
                e.printStackTrace();
            }
        }
    }
}
