package com.connormahaffey.TerraCraft;

import java.awt.event.WindowEvent;
import java.awt.event.WindowFocusListener;

/**
 *
 * @author Connor
 */
public class WindowFocusHandler implements WindowFocusListener{
    
    private Game game;

    public WindowFocusHandler(Game game){
        this.game = game;
    }

    public void windowGainedFocus(WindowEvent e) {
        if(game.getScreen() == Game.GAME_SCREEN){
            game.resume();
        }
    }

    public void windowLostFocus(WindowEvent e) {
        if(game.getScreen() == Game.GAME_SCREEN){
            game.pause();
        }
    }

}
